<delegate decode="scanx" command=""scanimage" > "%o""/>
<delegate decode="miff" encode="show" spawn="True" command=""/usr/bin/display" -delay 0 -window-group %[group] -title "%l " "ephemeral:%i""/>
<delegate decode="shtml" command=""html2ps" -U -o "%o" "%i""/>
- <delegate decode="svg" command=""rsvg" "%i" "%o""/>
+ <delegate decode="svg" command=""rsvg-convert" -o "%o" "%i""/>
<delegate decode="txt" encode="ps" mode="bi" command=""enscript" -o "%o" "%i""/>
<delegate decode="miff" encode="win" stealth="True" spawn="True" command=""/usr/bin/display" -immutable -delay 0 -window-group %[group] -title "%l " "ephemeral:%i""/>
<delegate decode="wmf" command=""wmf2eps" -o "%o" "%i""/>
<policy domain="resource" name="area" value="1GB"/>
- Note, resource policies are maximums for each instance of ImageMagick (e.g.
- policy memory limit 1GB, -limit 2GB exceeds policy maximum so memory limit
- is 1GB).
+ Define arguments for the memory, map, area, and disk resources with
+ SI prefixes (.e.g 100MB). In addition, resource policies are maximums for
+ each instance of ImageMagick (e.g. policy memory limit 1GB, -limit 2GB
+ exceeds policy maximum so memory limit is 1GB).
-->
<policymap>
<!-- <policy domain="system" name="precision" value="6"/> -->
--- /dev/null
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE quantization-tables [
+<!ELEMENT quantization-tables (table)+>
+<!ELEMENT table (description , levels)>
+<!ELEMENT description (CDATA)>
+<!ELEMENT levels (CDATA)>
+<!ATTLIST table slot ID #REQUIRED>
+<!ATTLIST levels width CDATA #REQUIRED>
+<!ATTLIST levels height CDATA #REQUIRED>
+<!ATTLIST levels divisor CDATA #REQUIRED>
+]>
+<!--
+ JPEG quantization tables.
+-->
+<quantization-tables>
+ <table slot="0" alias="luminance">
+ <description>Luminance Quantization Table</description>
+ <levels width="8" height="8" divisor="1">
+ 16, 12, 14, 17, 22, 30, 45, 72,
+ 12, 13, 14, 17, 22, 31, 46, 74,
+ 14, 14, 16, 19, 25, 35, 52, 83,
+ 17, 17, 19, 23, 30, 41, 62, 100,
+ 22, 22, 25, 30, 39, 54, 80, 129,
+ 30, 31, 35, 41, 54, 74, 111, 178,
+ 45, 46, 52, 62, 80, 111, 166, 267,
+ 72, 74, 83, 100, 129, 178, 267, 428
+ </levels>
+ </table>
+
+ <table slot="1" alias="chrominance">
+ <description>Chrominance Quantization Table</description>
+ <levels width="8" height="8" divisor="1">
+ 17, 18, 22, 31, 50, 92, 193, 465,
+ 18, 19, 24, 33, 54, 98, 207, 498,
+ 22, 24, 29, 41, 66, 120, 253, 609,
+ 31, 33, 41, 57, 92, 169, 355, 854,
+ 50, 54, 66, 92, 148, 271, 570, 1370,
+ 92, 98, 120, 169, 271, 498, 1046, 2516,
+ 193, 207, 253, 355, 570, 1046, 2198, 5289,
+ 465, 498, 609, 854, 1370,2516, 5289, 12725
+ </levels>
+ </table>
+</quantization-tables>
<!ATTLIST include file CDATA #REQUIRED>
]>
<typemap>
- <type name="AvantGarde-Book" fullname="AvantGarde Book" family="AvantGarde" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/a010013l.afm" glyphs="/usr/share/fonts/default/ghostscript/a010013l.pfb"/>
- <type name="AvantGarde-BookOblique" fullname="AvantGarde Book Oblique" family="AvantGarde" foundry="URW" weight="400" style="oblique" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/a010033l.afm" glyphs="/usr/share/fonts/default/ghostscript/a010033l.pfb"/>
- <type name="AvantGarde-Demi" fullname="AvantGarde DemiBold" family="AvantGarde" foundry="URW" weight="600" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/a010015l.afm" glyphs="/usr/share/fonts/default/ghostscript/a010015l.pfb"/>
- <type name="AvantGarde-DemiOblique" fullname="AvantGarde DemiOblique" family="AvantGarde" foundry="URW" weight="600" style="oblique" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/a010035l.afm" glyphs="/usr/share/fonts/default/ghostscript/a010035l.pfb"/>
- <type name="Bookman-Demi" fullname="Bookman DemiBold" family="Bookman" foundry="URW" weight="600" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/b018015l.afm" glyphs="/usr/share/fonts/default/ghostscript/b018015l.pfb"/>
- <type name="Bookman-DemiItalic" fullname="Bookman DemiBold Italic" family="Bookman" foundry="URW" weight="600" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/b018035l.afm" glyphs="/usr/share/fonts/default/ghostscript/b018035l.pfb"/>
- <type name="Bookman-Light" fullname="Bookman Light" family="Bookman" foundry="URW" weight="300" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/b018012l.afm" glyphs="/usr/share/fonts/default/ghostscript/b018012l.pfb"/>
- <type name="Bookman-LightItalic" fullname="Bookman Light Italic" family="Bookman" foundry="URW" weight="300" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/b018032l.afm" glyphs="/usr/share/fonts/default/ghostscript/b018032l.pfb"/>
- <type name="Courier" fullname="Courier Regular" family="Courier" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n022003l.afm" glyphs="/usr/share/fonts/default/ghostscript/n022003l.pfb"/>
- <type name="Courier-Bold" fullname="Courier Bold" family="Courier" foundry="URW" weight="700" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n022004l.afm" glyphs="/usr/share/fonts/default/ghostscript/n022004l.pfb"/>
- <type name="Courier-Oblique" fullname="Courier Regular Oblique" family="Courier" foundry="URW" weight="400" style="oblique" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n022023l.afm" glyphs="/usr/share/fonts/default/ghostscript/n022023l.pfb"/>
- <type name="Courier-BoldOblique" fullname="Courier Bold Oblique" family="Courier" foundry="URW" weight="700" style="oblique" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n022024l.afm" glyphs="/usr/share/fonts/default/ghostscript/n022024l.pfb"/>
- <type name="fixed" fullname="Helvetica Regular" family="Helvetica" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n019003l.afm" glyphs="/usr/share/fonts/default/ghostscript/n019003l.pfb"/>
- <type name="Helvetica" fullname="Helvetica Regular" family="Helvetica" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n019003l.afm" glyphs="/usr/share/fonts/default/ghostscript/n019003l.pfb"/>
- <type name="Helvetica-Bold" fullname="Helvetica Bold" family="Helvetica" foundry="URW" weight="700" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n019004l.afm" glyphs="/usr/share/fonts/default/ghostscript/n019004l.pfb"/>
- <type name="Helvetica-Oblique" fullname="Helvetica Regular Italic" family="Helvetica" foundry="URW" weight="400" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n019023l.afm" glyphs="/usr/share/fonts/default/ghostscript/n019023l.pfb"/>
- <type name="Helvetica-BoldOblique" fullname="Helvetica Bold Italic" family="Helvetica" foundry="URW" weight="700" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n019024l.afm" glyphs="/usr/share/fonts/default/ghostscript/n019024l.pfb"/>
- <type name="Helvetica-Narrow" fullname="Helvetica Narrow" family="Helvetica Narrow" foundry="URW" weight="400" style="normal" stretch="condensed" format="type1" metrics="/usr/share/fonts/default/ghostscript/n019043l.afm" glyphs="/usr/share/fonts/default/ghostscript/n019043l.pfb"/>
- <type name="Helvetica-Narrow-Oblique" fullname="Helvetica Narrow Oblique" family="Helvetica Narrow" foundry="URW" weight="400" style="oblique" stretch="condensed" format="type1" metrics="/usr/share/fonts/default/ghostscript/n019063l.afm" glyphs="/usr/share/fonts/default/ghostscript/n019063l.pfb"/>
- <type name="Helvetica-Narrow-Bold" fullname="Helvetica Narrow Bold" family="Helvetica Narrow" foundry="URW" weight="700" style="normal" stretch="condensed" format="type1" metrics="/usr/share/fonts/default/ghostscript/n019044l.afm" glyphs="/usr/share/fonts/default/ghostscript/n019044l.pfb"/>
- <type name="Helvetica-Narrow-BoldOblique" fullname="Helvetica Narrow Bold Oblique" family="Helvetica Narrow" foundry="URW" weight="700" style="oblique" stretch="condensed" format="type1" metrics="/usr/share/fonts/default/ghostscript/n019064l.afm" glyphs="/usr/share/fonts/default/ghostscript/n019064l.pfb"/>
- <type name="NewCenturySchlbk-Roman" fullname="New Century Schoolbook" family="NewCenturySchlbk" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/c059013l.afm" glyphs="/usr/share/fonts/default/ghostscript/c059013l.pfb"/>
- <type name="NewCenturySchlbk-Italic" fullname="New Century Schoolbook Italic" family="NewCenturySchlbk" foundry="URW" weight="400" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/c059033l.afm" glyphs="/usr/share/fonts/default/ghostscript/c059033l.pfb"/>
- <type name="NewCenturySchlbk-Bold" fullname="New Century Schoolbook Bold" family="NewCenturySchlbk" foundry="URW" weight="700" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/c059016l.afm" glyphs="/usr/share/fonts/default/ghostscript/c059016l.pfb"/>
- <type name="NewCenturySchlbk-BoldItalic" fullname="New Century Schoolbook Bold Italic" family="NewCenturySchlbk" foundry="URW" weight="700" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/c059036l.afm" glyphs="/usr/share/fonts/default/ghostscript/c059036l.pfb"/>
- <type name="Palatino-Roman" fullname="Palatino Regular" family="Palatino" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/p052003l.afm" glyphs="/usr/share/fonts/default/ghostscript/p052003l.pfb"/>
- <type name="Palatino-Italic" fullname="Palatino Italic" family="Palatino" foundry="URW" weight="400" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/p052023l.afm" glyphs="/usr/share/fonts/default/ghostscript/p052023l.pfb"/>
- <type name="Palatino-Bold" fullname="Palatino Bold" family="Palatino" foundry="URW" weight="700" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/p052004l.afm" glyphs="/usr/share/fonts/default/ghostscript/p052004l.pfb"/>
- <type name="Palatino-BoldItalic" fullname="Palatino Bold Italic" family="Palatino" foundry="URW" weight="700" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/p052024l.afm" glyphs="/usr/share/fonts/default/ghostscript/p052024l.pfb"/>
- <type name="Times-Roman" fullname="Times Regular" family="Times" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n021003l.afm" glyphs="/usr/share/fonts/default/ghostscript/n021003l.pfb"/>
- <type name="Times-Bold" fullname="Times Medium" family="Times" foundry="URW" weight="700" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n021004l.afm" glyphs="/usr/share/fonts/default/ghostscript/n021004l.pfb"/>
- <type name="Times-Italic" fullname="Times Regular Italic" family="Times" foundry="URW" weight="400" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n021023l.afm" glyphs="/usr/share/fonts/default/ghostscript/n021023l.pfb"/>
- <type name="Times-BoldItalic" fullname="Times Medium Italic" family="Times" foundry="URW" weight="700" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n021024l.afm" glyphs="/usr/share/fonts/default/ghostscript/n021024l.pfb"/>
- <type name="Symbol" fullname="Symbol" family="Symbol" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/s050000l.afm" glyphs="/usr/share/fonts/default/ghostscript/s050000l.pfb" version="0.1" encoding="AdobeCustom"/>
+ <type name="AvantGarde-Book" fullname="AvantGarde Book" family="AvantGarde" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/a010013l.afm" glyphs="/usr/share/fonts/urw-fonts/a010013l.pfb"/>
+ <type name="AvantGarde-BookOblique" fullname="AvantGarde Book Oblique" family="AvantGarde" foundry="URW" weight="400" style="oblique" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/a010033l.afm" glyphs="/usr/share/fonts/urw-fonts/a010033l.pfb"/>
+ <type name="AvantGarde-Demi" fullname="AvantGarde DemiBold" family="AvantGarde" foundry="URW" weight="600" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/a010015l.afm" glyphs="/usr/share/fonts/urw-fonts/a010015l.pfb"/>
+ <type name="AvantGarde-DemiOblique" fullname="AvantGarde DemiOblique" family="AvantGarde" foundry="URW" weight="600" style="oblique" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/a010035l.afm" glyphs="/usr/share/fonts/urw-fonts/a010035l.pfb"/>
+ <type name="Bookman-Demi" fullname="Bookman DemiBold" family="Bookman" foundry="URW" weight="600" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/b018015l.afm" glyphs="/usr/share/fonts/urw-fonts/b018015l.pfb"/>
+ <type name="Bookman-DemiItalic" fullname="Bookman DemiBold Italic" family="Bookman" foundry="URW" weight="600" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/b018035l.afm" glyphs="/usr/share/fonts/urw-fonts/b018035l.pfb"/>
+ <type name="Bookman-Light" fullname="Bookman Light" family="Bookman" foundry="URW" weight="300" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/b018012l.afm" glyphs="/usr/share/fonts/urw-fonts/b018012l.pfb"/>
+ <type name="Bookman-LightItalic" fullname="Bookman Light Italic" family="Bookman" foundry="URW" weight="300" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/b018032l.afm" glyphs="/usr/share/fonts/urw-fonts/b018032l.pfb"/>
+ <type name="Courier" fullname="Courier Regular" family="Courier" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n022003l.afm" glyphs="/usr/share/fonts/urw-fonts/n022003l.pfb"/>
+ <type name="Courier-Bold" fullname="Courier Bold" family="Courier" foundry="URW" weight="700" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n022004l.afm" glyphs="/usr/share/fonts/urw-fonts/n022004l.pfb"/>
+ <type name="Courier-Oblique" fullname="Courier Regular Oblique" family="Courier" foundry="URW" weight="400" style="oblique" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n022023l.afm" glyphs="/usr/share/fonts/urw-fonts/n022023l.pfb"/>
+ <type name="Courier-BoldOblique" fullname="Courier Bold Oblique" family="Courier" foundry="URW" weight="700" style="oblique" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n022024l.afm" glyphs="/usr/share/fonts/urw-fonts/n022024l.pfb"/>
+ <type name="fixed" fullname="Helvetica Regular" family="Helvetica" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n019003l.afm" glyphs="/usr/share/fonts/urw-fonts/n019003l.pfb"/>
+ <type name="Helvetica" fullname="Helvetica Regular" family="Helvetica" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n019003l.afm" glyphs="/usr/share/fonts/urw-fonts/n019003l.pfb"/>
+ <type name="Helvetica-Bold" fullname="Helvetica Bold" family="Helvetica" foundry="URW" weight="700" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n019004l.afm" glyphs="/usr/share/fonts/urw-fonts/n019004l.pfb"/>
+ <type name="Helvetica-Oblique" fullname="Helvetica Regular Italic" family="Helvetica" foundry="URW" weight="400" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n019023l.afm" glyphs="/usr/share/fonts/urw-fonts/n019023l.pfb"/>
+ <type name="Helvetica-BoldOblique" fullname="Helvetica Bold Italic" family="Helvetica" foundry="URW" weight="700" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n019024l.afm" glyphs="/usr/share/fonts/urw-fonts/n019024l.pfb"/>
+ <type name="Helvetica-Narrow" fullname="Helvetica Narrow" family="Helvetica Narrow" foundry="URW" weight="400" style="normal" stretch="condensed" format="type1" metrics="/usr/share/fonts/urw-fonts/n019043l.afm" glyphs="/usr/share/fonts/urw-fonts/n019043l.pfb"/>
+ <type name="Helvetica-Narrow-Oblique" fullname="Helvetica Narrow Oblique" family="Helvetica Narrow" foundry="URW" weight="400" style="oblique" stretch="condensed" format="type1" metrics="/usr/share/fonts/urw-fonts/n019063l.afm" glyphs="/usr/share/fonts/urw-fonts/n019063l.pfb"/>
+ <type name="Helvetica-Narrow-Bold" fullname="Helvetica Narrow Bold" family="Helvetica Narrow" foundry="URW" weight="700" style="normal" stretch="condensed" format="type1" metrics="/usr/share/fonts/urw-fonts/n019044l.afm" glyphs="/usr/share/fonts/urw-fonts/n019044l.pfb"/>
+ <type name="Helvetica-Narrow-BoldOblique" fullname="Helvetica Narrow Bold Oblique" family="Helvetica Narrow" foundry="URW" weight="700" style="oblique" stretch="condensed" format="type1" metrics="/usr/share/fonts/urw-fonts/n019064l.afm" glyphs="/usr/share/fonts/urw-fonts/n019064l.pfb"/>
+ <type name="NewCenturySchlbk-Roman" fullname="New Century Schoolbook" family="NewCenturySchlbk" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/c059013l.afm" glyphs="/usr/share/fonts/urw-fonts/c059013l.pfb"/>
+ <type name="NewCenturySchlbk-Italic" fullname="New Century Schoolbook Italic" family="NewCenturySchlbk" foundry="URW" weight="400" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/c059033l.afm" glyphs="/usr/share/fonts/urw-fonts/c059033l.pfb"/>
+ <type name="NewCenturySchlbk-Bold" fullname="New Century Schoolbook Bold" family="NewCenturySchlbk" foundry="URW" weight="700" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/c059016l.afm" glyphs="/usr/share/fonts/urw-fonts/c059016l.pfb"/>
+ <type name="NewCenturySchlbk-BoldItalic" fullname="New Century Schoolbook Bold Italic" family="NewCenturySchlbk" foundry="URW" weight="700" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/c059036l.afm" glyphs="/usr/share/fonts/urw-fonts/c059036l.pfb"/>
+ <type name="Palatino-Roman" fullname="Palatino Regular" family="Palatino" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/p052003l.afm" glyphs="/usr/share/fonts/urw-fonts/p052003l.pfb"/>
+ <type name="Palatino-Italic" fullname="Palatino Italic" family="Palatino" foundry="URW" weight="400" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/p052023l.afm" glyphs="/usr/share/fonts/urw-fonts/p052023l.pfb"/>
+ <type name="Palatino-Bold" fullname="Palatino Bold" family="Palatino" foundry="URW" weight="700" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/p052004l.afm" glyphs="/usr/share/fonts/urw-fonts/p052004l.pfb"/>
+ <type name="Palatino-BoldItalic" fullname="Palatino Bold Italic" family="Palatino" foundry="URW" weight="700" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/p052024l.afm" glyphs="/usr/share/fonts/urw-fonts/p052024l.pfb"/>
+ <type name="Times-Roman" fullname="Times Regular" family="Times" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n021003l.afm" glyphs="/usr/share/fonts/urw-fonts/n021003l.pfb"/>
+ <type name="Times-Bold" fullname="Times Medium" family="Times" foundry="URW" weight="700" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n021004l.afm" glyphs="/usr/share/fonts/urw-fonts/n021004l.pfb"/>
+ <type name="Times-Italic" fullname="Times Regular Italic" family="Times" foundry="URW" weight="400" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n021023l.afm" glyphs="/usr/share/fonts/urw-fonts/n021023l.pfb"/>
+ <type name="Times-BoldItalic" fullname="Times Medium Italic" family="Times" foundry="URW" weight="700" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n021024l.afm" glyphs="/usr/share/fonts/urw-fonts/n021024l.pfb"/>
+ <type name="Symbol" fullname="Symbol" family="Symbol" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/s050000l.afm" glyphs="/usr/share/fonts/urw-fonts/s050000l.pfb" version="0.1" encoding="AdobeCustom"/>
</typemap>
# The documentation is always available at
# http://httpd.apache.org/docs/2.2/
<IfDefine MANUAL>
-AliasMatch ^/manual(?:/(?:de|en|es|fr|ja|ko|pt-br))?(/.*)?$ "/usr/share/doc/apache-2.2.21-r1/manual$1"
+AliasMatch ^/manual(?:/(?:de|en|es|fr|ja|ko|pt-br))?(/.*)?$ "/usr/share/doc/apache-2.2.22/manual$1"
-<Directory "/usr/share/doc/apache-2.2.21-r1/manual">
+<Directory "/usr/share/doc/apache-2.2.22/manual">
Options Indexes
AllowOverride None
Order allow,deny
-head 1.1;
+head 1.2;
access;
symbols;
locks; strict;
comment @# @;
+expand @o@;
+1.2
+date 2012.04.11.07.41.47; author root; state Exp;
+branches;
+next 1.1;
+
1.1
date 2012.02.16.08.11.05; author root; state Exp;
branches
1.1.1.1
date 2012.02.16.08.11.11; author root; state Exp;
branches;
+next 1.1.1.2;
+
+1.1.1.2
+date 2012.04.11.07.41.47; author root; state Exp;
+branches;
next ;
@
-1.1
+1.2
log
@dispatch-conf update.
@
<delegate decode="ilbm" command=""ilbmtoppm" "%i" > "%o""/>
<delegate decode="man" command=""groff" -man -Tps "%i" > "%o""/>
<delegate decode="mpeg:decode" command=""ffmpeg" -v -1 -vframes %S -i "%i" -vcodec pam -an -f rawvideo -y "%u.pam" 2> "%Z""/>
- <delegate encode="mpeg:encode" stealth="True" command=""ffmpeg" -v -1 -mbd rd -trellis 2 -cmp 2 -subcmp 2 -g 300 -pass 1/2 -i "%M%%d.jpg" "%u.%m" 2> "%Z""/>
+ <delegate encode="mpeg:encode" stealth="True" command=""ffmpeg" -v -1 -mbd rd -trellis 2 -cmp 2 -subcmp 2 -g 300 -i "%M%%d.jpg" "%u.%m" 2> "%Z""/>
<delegate decode="sid" command=""mrsidgeodecode" -if sid -i "%i" -of tif -o "%o" > "%u""/>
<delegate decode="pcl:color" stealth="True" command=""pcl6" -dQUIET -dSAFER -dBATCH -dNOPAUSE -dNOPROMPT -dMaxBitmap=500000000 -dAlignToPixels=0 -dGridFitTT=2 "-sDEVICE=ppmraw" -dTextAlphaBits=%u -dGraphicsAlphaBits=%u "-r%s" %s "-sOutputFile=%s" "%s""/>
- <delegate decode="pcl:cmyk" stealth="True" command=""pcl6" -dQUIET -dSAFER -dBATCH -dNOPAUSE -dNOPROMPT -dMaxBitmap=500000000 -dAlignToPixels=0 -dGridFitTT=2 "-sDEVICE=bmpsep8" -dTextAlphaBits=%u -dGraphicsAlphaBits=%u "-r%s" %s "-sOutputFile=%s" "%s""/>
+ <delegate decode="pcl:cmyk" stealth="True" command=""pcl6" -dQUIET -dSAFER -dBATCH -dNOPAUSE -dNOPROMPT -dMaxBitmap=500000000 -dAlignToPixels=0 -dGridFitTT=2 "-sDEVICE=pamcmyk32" -dTextAlphaBits=%u -dGraphicsAlphaBits=%u "-r%s" %s "-sOutputFile=%s" "%s""/>
<delegate decode="pcl:mono" stealth="True" command=""pcl6" -dQUIET -dSAFER -dBATCH -dNOPAUSE -dNOPROMPT -dMaxBitmap=500000000 -dAlignToPixels=0 -dGridFitTT=2 "-sDEVICE=pbmraw" -dTextAlphaBits=%u -dGraphicsAlphaBits=%u "-r%s" %s "-sOutputFile=%s" "%s""/>
<delegate decode="pdf" encode="eps" mode="bi" command=""gs" -q -dQUIET -dSAFER -dBATCH -dNOPAUSE -dNOPROMPT -dMaxBitmap=500000000 -dAlignToPixels=0 -dGridFitTT=2 "-sDEVICE=epswrite" "-sOutputFile=%o" "-f%i""/>
<delegate decode="pdf" encode="ps" mode="bi" command=""gs" -q -dQUIET -dSAFER -dBATCH -dNOPAUSE -dNOPROMPT -dMaxBitmap=500000000 -dAlignToPixels=0 -dGridFitTT=2 "-sDEVICE=pswrite" "-sOutputFile=%o" "-f%i""/>
- <delegate decode="png" encode="launch" mode="encode" command=""gimp" "%i""/>
+ <delegate decode="tiff" encode="launch" mode="encode" command=""gimp" "%i""/>
<delegate decode="pnm" encode="ilbm" mode="encode" command=""ppmtoilbm" -24if "%i" > "%o""/>
<delegate decode="pov" command=""povray" "+i%i" -D0 +o"%o" +fn%q +w%w +h%h +a -q9 -kfi"%s" -kff"%n"\n"convert" -concatenate "%o*.png" "%o""/>
<delegate decode="ps" encode="eps" mode="bi" command=""gs" -q -dQUIET -dSAFER -dBATCH -dNOPAUSE -dNOPROMPT -dMaxBitmap=500000000 -dAlignToPixels=0 -dGridFitTT=2 "-sDEVICE=epswrite" "-sOutputFile=%o" "-f%i""/>
<delegate decode="rgba" encode="rle" mode="encode" command=""rawtorle" -o "%o" -v "%i""/>
<delegate decode="scan" command=""scanimage" -d "%i" > "%o""/>
<delegate decode="scanx" command=""scanimage" > "%o""/>
- <delegate decode="png" encode="show" spawn="True" command=""/usr/bin/display" -delay 0 -window-group %[group] -title "%l " "ephemeral:%i""/>
+ <delegate decode="miff" encode="show" spawn="True" command=""/usr/bin/display" -delay 0 -window-group %[group] -title "%l " "ephemeral:%i""/>
<delegate decode="shtml" command=""html2ps" -U -o "%o" "%i""/>
<delegate decode="svg" command=""rsvg" "%i" "%o""/>
<delegate decode="txt" encode="ps" mode="bi" command=""enscript" -o "%o" "%i""/>
- <delegate decode="png" encode="win" stealth="True" spawn="True" command=""/usr/bin/display" -immutable -delay 0 -window-group %[group] -title "%l " "ephemeral:%i""/>
+ <delegate decode="miff" encode="win" stealth="True" spawn="True" command=""/usr/bin/display" -immutable -delay 0 -window-group %[group] -title "%l " "ephemeral:%i""/>
<delegate decode="wmf" command=""wmf2eps" -o "%o" "%i""/>
<delegate decode="xps:color" stealth="True" command=""gxps" -dQUIET -dSAFER -dBATCH -dNOPAUSE -dNOPROMPT -dMaxBitmap=500000000 -dAlignToPixels=0 -dGridFitTT=2 "-sDEVICE=ppmraw" -dTextAlphaBits=%u -dGraphicsAlphaBits=%u "-r%s" %s "-sOutputFile=%s" "%s""/>
<delegate decode="xps:cmyk" stealth="True" command=""gxps" -dQUIET -dSAFER -dBATCH -dNOPAUSE -dNOPROMPT -dMaxBitmap=500000000 -dAlignToPixels=0 -dGridFitTT=2 "-sDEVICE=bmpsep8" -dTextAlphaBits=%u -dGraphicsAlphaBits=%u "-r%s" %s "-sOutputFile=%s" "%s""/>
@
+1.1
+log
+@dispatch-conf update.
+@
+text
+@d83 1
+a83 1
+ <delegate encode="mpeg:encode" stealth="True" command=""ffmpeg" -v -1 -mbd rd -trellis 2 -cmp 2 -subcmp 2 -g 300 -pass 1/2 -i "%M%%d.jpg" "%u.%m" 2> "%Z""/>
+d86 1
+a86 1
+ <delegate decode="pcl:cmyk" stealth="True" command=""pcl6" -dQUIET -dSAFER -dBATCH -dNOPAUSE -dNOPROMPT -dMaxBitmap=500000000 -dAlignToPixels=0 -dGridFitTT=2 "-sDEVICE=bmpsep8" -dTextAlphaBits=%u -dGraphicsAlphaBits=%u "-r%s" %s "-sOutputFile=%s" "%s""/>
+d90 1
+a90 1
+ <delegate decode="png" encode="launch" mode="encode" command=""gimp" "%i""/>
+d103 1
+a103 1
+ <delegate decode="png" encode="show" spawn="True" command=""/usr/bin/display" -delay 0 -window-group %[group] -title "%l " "ephemeral:%i""/>
+d107 1
+a107 1
+ <delegate decode="png" encode="win" stealth="True" spawn="True" command=""/usr/bin/display" -immutable -delay 0 -window-group %[group] -title "%l " "ephemeral:%i""/>
+@
+
+
1.1.1.1
log
@dispatch-conf update.
a107 1
<delegate decode="miff" encode="win" stealth="True" spawn="True" command=""/usr/bin/display" -immutable -delay 0 -window-group %[group] -title "%l " "ephemeral:%i""/>
@
+
+
+1.1.1.2
+log
+@dispatch-conf update.
+@
+text
+@d105 1
+a105 1
+ <delegate decode="svg" command=""rsvg-convert" -o "%o" "%i""/>
+@
-head 1.1;
+head 1.2;
access;
symbols;
locks; strict;
comment @# @;
+expand @o@;
+1.2
+date 2012.04.11.07.41.47; author root; state Exp;
+branches;
+next 1.1;
+
1.1
date 2012.02.16.08.11.06; author root; state Exp;
branches
1.1.1.1
date 2012.02.16.08.11.15; author root; state Exp;
branches;
+next 1.1.1.2;
+
+1.1.1.2
+date 2012.04.11.07.41.47; author root; state Exp;
+branches;
next ;
@
-1.1
+1.2
log
@dispatch-conf update.
@
Any large image is cached to disk rather than memory:
- <policy domain="resource" name="area" value="1gb"/>
+ <policy domain="resource" name="area" value="1GB"/>
Note, resource policies are maximums for each instance of ImageMagick (e.g.
policy memory limit 1GB, -limit 2GB exceeds policy maximum so memory limit
<!-- <policy domain="resource" name="temporary-path" value="/tmp"/> -->
<!-- <policy domain="resource" name="memory" value="2GiB"/> -->
<!-- <policy domain="resource" name="map" value="4GiB"/> -->
- <!-- <policy domain="resource" name="area" value="1gb"/> -->
- <!-- <policy domain="resource" name="disk" value="16eb"/> -->
+ <!-- <policy domain="resource" name="area" value="1GB"/> -->
+ <!-- <policy domain="resource" name="disk" value="16EB"/> -->
<!-- <policy domain="resource" name="file" value="768"/> -->
<!-- <policy domain="resource" name="thread" value="4"/> -->
<!-- <policy domain="resource" name="throttle" value="0"/> -->
@
+1.1
+log
+@dispatch-conf update.
+@
+text
+@d40 1
+a40 1
+ <policy domain="resource" name="area" value="1gb"/>
+d51 2
+a52 2
+ <!-- <policy domain="resource" name="area" value="1gb"/> -->
+ <!-- <policy domain="resource" name="disk" value="16eb"/> -->
+@
+
+
1.1.1.1
log
@dispatch-conf update.
<!-- <policy domain="resource" name="area" value="1GB"/> -->
<!-- <policy domain="resource" name="disk" value="16EB"/> -->
@
+
+
+1.1.1.2
+log
+@dispatch-conf update.
+@
+text
+@d42 3
+a44 4
+ Define arguments for the memory, map, area, and disk resources with
+ SI prefixes (.e.g 100MB). In addition, resource policies are maximums for
+ each instance of ImageMagick (e.g. policy memory limit 1GB, -limit 2GB
+ exceeds policy maximum so memory limit is 1GB).
+@
--- /dev/null
+head 1.1;
+access;
+symbols;
+locks; strict;
+comment @# @;
+
+
+1.1
+date 2012.04.11.07.41.47; author root; state Exp;
+branches
+ 1.1.1.1;
+next ;
+
+1.1.1.1
+date 2012.04.11.07.41.52; author root; state Exp;
+branches;
+next ;
+
+
+desc
+@Archived config file.
+@
+
+
+1.1
+log
+@dispatch-conf update.
+@
+text
+@<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE typemap [
+<!ELEMENT typemap (type)+>
+<!ELEMENT type (#PCDATA)>
+<!ELEMENT include (#PCDATA)>
+<!ATTLIST type name CDATA #REQUIRED>
+<!ATTLIST type fullname CDATA #IMPLIED>
+<!ATTLIST type family CDATA #IMPLIED>
+<!ATTLIST type foundry CDATA #IMPLIED>
+<!ATTLIST type weight CDATA #IMPLIED>
+<!ATTLIST type style CDATA #IMPLIED>
+<!ATTLIST type stretch CDATA #IMPLIED>
+<!ATTLIST type format CDATA #IMPLIED>
+<!ATTLIST type metrics CDATA #IMPLIED>
+<!ATTLIST type glyphs CDATA #REQUIRED>
+<!ATTLIST type version CDATA #IMPLIED>
+<!ATTLIST include file CDATA #REQUIRED>
+]>
+<typemap>
+ <type name="AvantGarde-Book" fullname="AvantGarde Book" family="AvantGarde" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/a010013l.afm" glyphs="/usr/share/fonts/default/ghostscript/a010013l.pfb"/>
+ <type name="AvantGarde-BookOblique" fullname="AvantGarde Book Oblique" family="AvantGarde" foundry="URW" weight="400" style="oblique" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/a010033l.afm" glyphs="/usr/share/fonts/default/ghostscript/a010033l.pfb"/>
+ <type name="AvantGarde-Demi" fullname="AvantGarde DemiBold" family="AvantGarde" foundry="URW" weight="600" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/a010015l.afm" glyphs="/usr/share/fonts/default/ghostscript/a010015l.pfb"/>
+ <type name="AvantGarde-DemiOblique" fullname="AvantGarde DemiOblique" family="AvantGarde" foundry="URW" weight="600" style="oblique" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/a010035l.afm" glyphs="/usr/share/fonts/default/ghostscript/a010035l.pfb"/>
+ <type name="Bookman-Demi" fullname="Bookman DemiBold" family="Bookman" foundry="URW" weight="600" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/b018015l.afm" glyphs="/usr/share/fonts/default/ghostscript/b018015l.pfb"/>
+ <type name="Bookman-DemiItalic" fullname="Bookman DemiBold Italic" family="Bookman" foundry="URW" weight="600" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/b018035l.afm" glyphs="/usr/share/fonts/default/ghostscript/b018035l.pfb"/>
+ <type name="Bookman-Light" fullname="Bookman Light" family="Bookman" foundry="URW" weight="300" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/b018012l.afm" glyphs="/usr/share/fonts/default/ghostscript/b018012l.pfb"/>
+ <type name="Bookman-LightItalic" fullname="Bookman Light Italic" family="Bookman" foundry="URW" weight="300" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/b018032l.afm" glyphs="/usr/share/fonts/default/ghostscript/b018032l.pfb"/>
+ <type name="Courier" fullname="Courier Regular" family="Courier" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n022003l.afm" glyphs="/usr/share/fonts/default/ghostscript/n022003l.pfb"/>
+ <type name="Courier-Bold" fullname="Courier Bold" family="Courier" foundry="URW" weight="700" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n022004l.afm" glyphs="/usr/share/fonts/default/ghostscript/n022004l.pfb"/>
+ <type name="Courier-Oblique" fullname="Courier Regular Oblique" family="Courier" foundry="URW" weight="400" style="oblique" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n022023l.afm" glyphs="/usr/share/fonts/default/ghostscript/n022023l.pfb"/>
+ <type name="Courier-BoldOblique" fullname="Courier Bold Oblique" family="Courier" foundry="URW" weight="700" style="oblique" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n022024l.afm" glyphs="/usr/share/fonts/default/ghostscript/n022024l.pfb"/>
+ <type name="fixed" fullname="Helvetica Regular" family="Helvetica" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n019003l.afm" glyphs="/usr/share/fonts/default/ghostscript/n019003l.pfb"/>
+ <type name="Helvetica" fullname="Helvetica Regular" family="Helvetica" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n019003l.afm" glyphs="/usr/share/fonts/default/ghostscript/n019003l.pfb"/>
+ <type name="Helvetica-Bold" fullname="Helvetica Bold" family="Helvetica" foundry="URW" weight="700" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n019004l.afm" glyphs="/usr/share/fonts/default/ghostscript/n019004l.pfb"/>
+ <type name="Helvetica-Oblique" fullname="Helvetica Regular Italic" family="Helvetica" foundry="URW" weight="400" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n019023l.afm" glyphs="/usr/share/fonts/default/ghostscript/n019023l.pfb"/>
+ <type name="Helvetica-BoldOblique" fullname="Helvetica Bold Italic" family="Helvetica" foundry="URW" weight="700" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n019024l.afm" glyphs="/usr/share/fonts/default/ghostscript/n019024l.pfb"/>
+ <type name="Helvetica-Narrow" fullname="Helvetica Narrow" family="Helvetica Narrow" foundry="URW" weight="400" style="normal" stretch="condensed" format="type1" metrics="/usr/share/fonts/default/ghostscript/n019043l.afm" glyphs="/usr/share/fonts/default/ghostscript/n019043l.pfb"/>
+ <type name="Helvetica-Narrow-Oblique" fullname="Helvetica Narrow Oblique" family="Helvetica Narrow" foundry="URW" weight="400" style="oblique" stretch="condensed" format="type1" metrics="/usr/share/fonts/default/ghostscript/n019063l.afm" glyphs="/usr/share/fonts/default/ghostscript/n019063l.pfb"/>
+ <type name="Helvetica-Narrow-Bold" fullname="Helvetica Narrow Bold" family="Helvetica Narrow" foundry="URW" weight="700" style="normal" stretch="condensed" format="type1" metrics="/usr/share/fonts/default/ghostscript/n019044l.afm" glyphs="/usr/share/fonts/default/ghostscript/n019044l.pfb"/>
+ <type name="Helvetica-Narrow-BoldOblique" fullname="Helvetica Narrow Bold Oblique" family="Helvetica Narrow" foundry="URW" weight="700" style="oblique" stretch="condensed" format="type1" metrics="/usr/share/fonts/default/ghostscript/n019064l.afm" glyphs="/usr/share/fonts/default/ghostscript/n019064l.pfb"/>
+ <type name="NewCenturySchlbk-Roman" fullname="New Century Schoolbook" family="NewCenturySchlbk" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/c059013l.afm" glyphs="/usr/share/fonts/default/ghostscript/c059013l.pfb"/>
+ <type name="NewCenturySchlbk-Italic" fullname="New Century Schoolbook Italic" family="NewCenturySchlbk" foundry="URW" weight="400" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/c059033l.afm" glyphs="/usr/share/fonts/default/ghostscript/c059033l.pfb"/>
+ <type name="NewCenturySchlbk-Bold" fullname="New Century Schoolbook Bold" family="NewCenturySchlbk" foundry="URW" weight="700" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/c059016l.afm" glyphs="/usr/share/fonts/default/ghostscript/c059016l.pfb"/>
+ <type name="NewCenturySchlbk-BoldItalic" fullname="New Century Schoolbook Bold Italic" family="NewCenturySchlbk" foundry="URW" weight="700" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/c059036l.afm" glyphs="/usr/share/fonts/default/ghostscript/c059036l.pfb"/>
+ <type name="Palatino-Roman" fullname="Palatino Regular" family="Palatino" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/p052003l.afm" glyphs="/usr/share/fonts/default/ghostscript/p052003l.pfb"/>
+ <type name="Palatino-Italic" fullname="Palatino Italic" family="Palatino" foundry="URW" weight="400" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/p052023l.afm" glyphs="/usr/share/fonts/default/ghostscript/p052023l.pfb"/>
+ <type name="Palatino-Bold" fullname="Palatino Bold" family="Palatino" foundry="URW" weight="700" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/p052004l.afm" glyphs="/usr/share/fonts/default/ghostscript/p052004l.pfb"/>
+ <type name="Palatino-BoldItalic" fullname="Palatino Bold Italic" family="Palatino" foundry="URW" weight="700" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/p052024l.afm" glyphs="/usr/share/fonts/default/ghostscript/p052024l.pfb"/>
+ <type name="Times-Roman" fullname="Times Regular" family="Times" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n021003l.afm" glyphs="/usr/share/fonts/default/ghostscript/n021003l.pfb"/>
+ <type name="Times-Bold" fullname="Times Medium" family="Times" foundry="URW" weight="700" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n021004l.afm" glyphs="/usr/share/fonts/default/ghostscript/n021004l.pfb"/>
+ <type name="Times-Italic" fullname="Times Regular Italic" family="Times" foundry="URW" weight="400" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n021023l.afm" glyphs="/usr/share/fonts/default/ghostscript/n021023l.pfb"/>
+ <type name="Times-BoldItalic" fullname="Times Medium Italic" family="Times" foundry="URW" weight="700" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/n021024l.afm" glyphs="/usr/share/fonts/default/ghostscript/n021024l.pfb"/>
+ <type name="Symbol" fullname="Symbol" family="Symbol" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/default/ghostscript/s050000l.afm" glyphs="/usr/share/fonts/default/ghostscript/s050000l.pfb" version="0.1" encoding="AdobeCustom"/>
+</typemap>
+@
+
+
+1.1.1.1
+log
+@dispatch-conf update.
+@
+text
+@d20 34
+a53 34
+ <type name="AvantGarde-Book" fullname="AvantGarde Book" family="AvantGarde" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/a010013l.afm" glyphs="/usr/share/fonts/urw-fonts/a010013l.pfb"/>
+ <type name="AvantGarde-BookOblique" fullname="AvantGarde Book Oblique" family="AvantGarde" foundry="URW" weight="400" style="oblique" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/a010033l.afm" glyphs="/usr/share/fonts/urw-fonts/a010033l.pfb"/>
+ <type name="AvantGarde-Demi" fullname="AvantGarde DemiBold" family="AvantGarde" foundry="URW" weight="600" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/a010015l.afm" glyphs="/usr/share/fonts/urw-fonts/a010015l.pfb"/>
+ <type name="AvantGarde-DemiOblique" fullname="AvantGarde DemiOblique" family="AvantGarde" foundry="URW" weight="600" style="oblique" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/a010035l.afm" glyphs="/usr/share/fonts/urw-fonts/a010035l.pfb"/>
+ <type name="Bookman-Demi" fullname="Bookman DemiBold" family="Bookman" foundry="URW" weight="600" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/b018015l.afm" glyphs="/usr/share/fonts/urw-fonts/b018015l.pfb"/>
+ <type name="Bookman-DemiItalic" fullname="Bookman DemiBold Italic" family="Bookman" foundry="URW" weight="600" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/b018035l.afm" glyphs="/usr/share/fonts/urw-fonts/b018035l.pfb"/>
+ <type name="Bookman-Light" fullname="Bookman Light" family="Bookman" foundry="URW" weight="300" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/b018012l.afm" glyphs="/usr/share/fonts/urw-fonts/b018012l.pfb"/>
+ <type name="Bookman-LightItalic" fullname="Bookman Light Italic" family="Bookman" foundry="URW" weight="300" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/b018032l.afm" glyphs="/usr/share/fonts/urw-fonts/b018032l.pfb"/>
+ <type name="Courier" fullname="Courier Regular" family="Courier" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n022003l.afm" glyphs="/usr/share/fonts/urw-fonts/n022003l.pfb"/>
+ <type name="Courier-Bold" fullname="Courier Bold" family="Courier" foundry="URW" weight="700" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n022004l.afm" glyphs="/usr/share/fonts/urw-fonts/n022004l.pfb"/>
+ <type name="Courier-Oblique" fullname="Courier Regular Oblique" family="Courier" foundry="URW" weight="400" style="oblique" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n022023l.afm" glyphs="/usr/share/fonts/urw-fonts/n022023l.pfb"/>
+ <type name="Courier-BoldOblique" fullname="Courier Bold Oblique" family="Courier" foundry="URW" weight="700" style="oblique" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n022024l.afm" glyphs="/usr/share/fonts/urw-fonts/n022024l.pfb"/>
+ <type name="fixed" fullname="Helvetica Regular" family="Helvetica" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n019003l.afm" glyphs="/usr/share/fonts/urw-fonts/n019003l.pfb"/>
+ <type name="Helvetica" fullname="Helvetica Regular" family="Helvetica" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n019003l.afm" glyphs="/usr/share/fonts/urw-fonts/n019003l.pfb"/>
+ <type name="Helvetica-Bold" fullname="Helvetica Bold" family="Helvetica" foundry="URW" weight="700" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n019004l.afm" glyphs="/usr/share/fonts/urw-fonts/n019004l.pfb"/>
+ <type name="Helvetica-Oblique" fullname="Helvetica Regular Italic" family="Helvetica" foundry="URW" weight="400" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n019023l.afm" glyphs="/usr/share/fonts/urw-fonts/n019023l.pfb"/>
+ <type name="Helvetica-BoldOblique" fullname="Helvetica Bold Italic" family="Helvetica" foundry="URW" weight="700" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n019024l.afm" glyphs="/usr/share/fonts/urw-fonts/n019024l.pfb"/>
+ <type name="Helvetica-Narrow" fullname="Helvetica Narrow" family="Helvetica Narrow" foundry="URW" weight="400" style="normal" stretch="condensed" format="type1" metrics="/usr/share/fonts/urw-fonts/n019043l.afm" glyphs="/usr/share/fonts/urw-fonts/n019043l.pfb"/>
+ <type name="Helvetica-Narrow-Oblique" fullname="Helvetica Narrow Oblique" family="Helvetica Narrow" foundry="URW" weight="400" style="oblique" stretch="condensed" format="type1" metrics="/usr/share/fonts/urw-fonts/n019063l.afm" glyphs="/usr/share/fonts/urw-fonts/n019063l.pfb"/>
+ <type name="Helvetica-Narrow-Bold" fullname="Helvetica Narrow Bold" family="Helvetica Narrow" foundry="URW" weight="700" style="normal" stretch="condensed" format="type1" metrics="/usr/share/fonts/urw-fonts/n019044l.afm" glyphs="/usr/share/fonts/urw-fonts/n019044l.pfb"/>
+ <type name="Helvetica-Narrow-BoldOblique" fullname="Helvetica Narrow Bold Oblique" family="Helvetica Narrow" foundry="URW" weight="700" style="oblique" stretch="condensed" format="type1" metrics="/usr/share/fonts/urw-fonts/n019064l.afm" glyphs="/usr/share/fonts/urw-fonts/n019064l.pfb"/>
+ <type name="NewCenturySchlbk-Roman" fullname="New Century Schoolbook" family="NewCenturySchlbk" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/c059013l.afm" glyphs="/usr/share/fonts/urw-fonts/c059013l.pfb"/>
+ <type name="NewCenturySchlbk-Italic" fullname="New Century Schoolbook Italic" family="NewCenturySchlbk" foundry="URW" weight="400" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/c059033l.afm" glyphs="/usr/share/fonts/urw-fonts/c059033l.pfb"/>
+ <type name="NewCenturySchlbk-Bold" fullname="New Century Schoolbook Bold" family="NewCenturySchlbk" foundry="URW" weight="700" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/c059016l.afm" glyphs="/usr/share/fonts/urw-fonts/c059016l.pfb"/>
+ <type name="NewCenturySchlbk-BoldItalic" fullname="New Century Schoolbook Bold Italic" family="NewCenturySchlbk" foundry="URW" weight="700" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/c059036l.afm" glyphs="/usr/share/fonts/urw-fonts/c059036l.pfb"/>
+ <type name="Palatino-Roman" fullname="Palatino Regular" family="Palatino" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/p052003l.afm" glyphs="/usr/share/fonts/urw-fonts/p052003l.pfb"/>
+ <type name="Palatino-Italic" fullname="Palatino Italic" family="Palatino" foundry="URW" weight="400" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/p052023l.afm" glyphs="/usr/share/fonts/urw-fonts/p052023l.pfb"/>
+ <type name="Palatino-Bold" fullname="Palatino Bold" family="Palatino" foundry="URW" weight="700" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/p052004l.afm" glyphs="/usr/share/fonts/urw-fonts/p052004l.pfb"/>
+ <type name="Palatino-BoldItalic" fullname="Palatino Bold Italic" family="Palatino" foundry="URW" weight="700" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/p052024l.afm" glyphs="/usr/share/fonts/urw-fonts/p052024l.pfb"/>
+ <type name="Times-Roman" fullname="Times Regular" family="Times" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n021003l.afm" glyphs="/usr/share/fonts/urw-fonts/n021003l.pfb"/>
+ <type name="Times-Bold" fullname="Times Medium" family="Times" foundry="URW" weight="700" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n021004l.afm" glyphs="/usr/share/fonts/urw-fonts/n021004l.pfb"/>
+ <type name="Times-Italic" fullname="Times Regular Italic" family="Times" foundry="URW" weight="400" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n021023l.afm" glyphs="/usr/share/fonts/urw-fonts/n021023l.pfb"/>
+ <type name="Times-BoldItalic" fullname="Times Medium Italic" family="Times" foundry="URW" weight="700" style="italic" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/n021024l.afm" glyphs="/usr/share/fonts/urw-fonts/n021024l.pfb"/>
+ <type name="Symbol" fullname="Symbol" family="Symbol" foundry="URW" weight="400" style="normal" stretch="normal" format="type1" metrics="/usr/share/fonts/urw-fonts/s050000l.afm" glyphs="/usr/share/fonts/urw-fonts/s050000l.pfb" version="0.1" encoding="AdobeCustom"/>
+@
-head 1.5;
+head 1.6;
access;
symbols;
locks; strict;
expand @o@;
+1.6
+date 2012.04.11.07.41.47; author root; state Exp;
+branches;
+next 1.5;
+
1.5
date 2011.10.26.07.00.23; author root; state Exp;
branches;
1.1.1.5
date 2011.10.26.07.00.23; author root; state Exp;
branches;
+next 1.1.1.6;
+
+1.1.1.6
+date 2012.04.11.07.41.48; author root; state Exp;
+branches;
next ;
@
-1.5
+1.6
log
@dispatch-conf update.
@
# The documentation is always available at
# http://httpd.apache.org/docs/2.2/
<IfDefine MANUAL>
-AliasMatch ^/manual(?:/(?:de|en|es|fr|ja|ko|pt-br))?(/.*)?$ "/usr/share/doc/apache-2.2.21/manual$1"
+AliasMatch ^/manual(?:/(?:de|en|es|fr|ja|ko|pt-br))?(/.*)?$ "/usr/share/doc/apache-2.2.21-r1/manual$1"
-<Directory "/usr/share/doc/apache-2.2.21/manual">
+<Directory "/usr/share/doc/apache-2.2.21-r1/manual">
Options Indexes
AllowOverride None
Order allow,deny
@
+1.5
+log
+@dispatch-conf update.
+@
+text
+@d6 1
+a6 1
+AliasMatch ^/manual(?:/(?:de|en|es|fr|ja|ko|pt-br))?(/.*)?$ "/usr/share/doc/apache-2.2.21/manual$1"
+d8 1
+a8 1
+<Directory "/usr/share/doc/apache-2.2.21/manual">
+@
+
+
1.4
log
@dispatch-conf update.
a8 1
<Directory "/usr/share/doc/apache-2.2.21-r1/manual">
@
+
+
+1.1.1.6
+log
+@dispatch-conf update.
+@
+text
+@d6 1
+a6 1
+AliasMatch ^/manual(?:/(?:de|en|es|fr|ja|ko|pt-br))?(/.*)?$ "/usr/share/doc/apache-2.2.22/manual$1"
+d8 1
+a8 1
+<Directory "/usr/share/doc/apache-2.2.22/manual">
+@
--- /dev/null
+head 1.1;
+access;
+symbols;
+locks; strict;
+comment @# @;
+
+
+1.1
+date 2012.04.11.07.41.48; author root; state Exp;
+branches
+ 1.1.1.1;
+next ;
+
+1.1.1.1
+date 2012.04.11.07.41.55; author root; state Exp;
+branches;
+next ;
+
+
+desc
+@Archived config file.
+@
+
+
+1.1
+log
+@dispatch-conf update.
+@
+text
+@#!/sbin/runscript
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+extra_commands="configtest modules virtualhosts"
+extra_started_commands="configdump fullstatus graceful gracefulstop reload"
+
+description_configdump="Dumps the configuration of the runing apache server. Requires server-info to be enabled and www-client/lynx."
+description_configtest="Run syntax tests for configuration files."
+description_fullstatus="Gives the full status of the server. Requires lynx and server-status to be enabled."
+description_graceful="A graceful restart advises the children to exit after the current request and reloads the configuration."
+description_gracefulstop="A graceful stop advises the children to exit after the current request and stops the server."
+description_modules="Dump a list of loaded Static and Shared Modules."
+description_reload="Kills all children and reloads the configuration."
+description_virtualhosts="Show the settings as parsed from the config file (currently only shows the virtualhost settings)."
+description_stop="Kills all children and stops the server."
+
+depend() {
+ need net
+ use mysql dns logger netmount postgresql
+ after sshd
+}
+
+configtest() {
+ ebegin "Checking ${SVCNAME} configuration"
+ checkconfig
+ eend $?
+}
+
+checkconfd() {
+ if [ ! -f /etc/init.d/sysfs ]; then
+ eerror "This init script works only with openrc (baselayout-2)."
+ eerror "If you still need baselayout-1.x, please, use"
+ eerror "apache2.initd-baselayout-1 from /usr/share/doc/apache2-*/"
+ fi
+
+ PIDFILE="${PIDFILE:-/var/run/apache2.pid}"
+ TIMEOUT=${TIMEOUT:-15}
+
+ SERVERROOT="${SERVERROOT:-/usr/lib64/apache2}"
+ if [ ! -d ${SERVERROOT} ]; then
+ eerror "SERVERROOT does not exist: ${SERVERROOT}"
+ return 1
+ fi
+
+ CONFIGFILE="${CONFIGFILE:-/etc/apache2/httpd.conf}"
+ [ "${CONFIGFILE#/}" = "${CONFIGFILE}" ] && CONFIGFILE="${SERVERROOT}/${CONFIGFILE}"
+ if [ ! -r "${CONFIGFILE}" ]; then
+ eerror "Unable to read configuration file: ${CONFIGFILE}"
+ return 1
+ fi
+
+ APACHE2_OPTS="${APACHE2_OPTS} -d ${SERVERROOT}"
+ APACHE2_OPTS="${APACHE2_OPTS} -f ${CONFIGFILE}"
+ [ -n "${STARTUPERRORLOG}" ] && APACHE2_OPTS="${APACHE2_OPTS} -E ${STARTUPERRORLOG}"
+
+ APACHE2="/usr/sbin/apache2"
+}
+
+checkconfig() {
+ checkconfd || return 1
+
+ ${APACHE2} ${APACHE2_OPTS} -t 1>/dev/null 2>&1
+ ret=$?
+ if [ $ret -ne 0 ]; then
+ eerror "${SVCNAME} has detected an error in your setup:"
+ ${APACHE2} ${APACHE2_OPTS} -t
+ fi
+
+ return $ret
+}
+
+start() {
+ checkconfig || return 1
+
+ ebegin "Starting ${SVCNAME}"
+ # Use start stop daemon to apply system limits #347301
+ start-stop-daemon --start -- ${APACHE2} ${APACHE2_OPTS} -k start
+
+ i=0
+ while [ ! -e "${PIDFILE}" ] && [ $i -lt ${TIMEOUT} ]; do
+ sleep 1 && i=$(expr $i + 1)
+ done
+
+ eend $(test $i -lt ${TIMEOUT})
+}
+
+stop() {
+ if [ "${RC_CMD}" = "restart" ]; then
+ checkconfig || return 1
+ else
+ checkconfd || return 1
+ fi
+
+ PID=$(cat "${PIDFILE}" 2>/dev/null)
+ if [ -z "${PID}" ]; then
+ einfo "${SVCNAME} not running (no pid file)"
+ return 0
+ fi
+
+ ebegin "Stopping ${SVCNAME}"
+ ${APACHE2} ${APACHE2_OPTS} -k stop
+
+ i=0
+ while ( ! test -f "${PIDFILE}" && pgrep -P ${PID} apache2 >/dev/null ) \
+ && [ $i -lt ${TIMEOUT} ]; do
+ sleep 1 && i=$(expr $i + 1)
+ done
+
+ eend $(test $i -lt ${TIMEOUT})
+}
+
+reload() {
+ RELOAD_TYPE="${RELOAD_TYPE:-graceful}"
+
+ checkconfig || return 1
+
+ if [ "${RELOAD_TYPE}" = "restart" ]; then
+ ebegin "Restarting ${SVCNAME}"
+ ${APACHE2} ${APACHE2_OPTS} -k restart
+ eend $?
+ elif [ "${RELOAD_TYPE}" = "graceful" ]; then
+ ebegin "Gracefully restarting ${SVCNAME}"
+ ${APACHE2} ${APACHE2_OPTS} -k graceful
+ eend $?
+ else
+ eerror "${RELOAD_TYPE} is not a valid RELOAD_TYPE. Please edit /etc/conf.d/${SVCNAME}"
+ fi
+}
+
+graceful() {
+ checkconfig || return 1
+ ebegin "Gracefully restarting ${SVCNAME}"
+ ${APACHE2} ${APACHE2_OPTS} -k graceful
+ eend $?
+}
+
+gracefulstop() {
+ checkconfig || return 1
+ ebegin "Gracefully stopping ${SVCNAME}"
+ ${APACHE2} ${APACHE2_OPTS} -k graceful-stop
+ eend $?
+}
+
+modules() {
+ checkconfig || return 1
+ ${APACHE2} ${APACHE2_OPTS} -M 2>&1
+}
+
+fullstatus() {
+ LYNX="${LYNX:-lynx -dump}"
+ STATUSURL="${STATUSURL:-http://localhost/server-status}"
+
+ if ! type -p $(set -- ${LYNX}; echo $1) 2>&1 >/dev/null; then
+ eerror "lynx not found! you need to emerge www-client/lynx"
+ else
+ ${LYNX} ${STATUSURL}
+ fi
+}
+
+virtualhosts() {
+ checkconfig || return 1
+ ${APACHE2} ${APACHE2_OPTS} -S
+}
+
+configdump() {
+ LYNX="${LYNX:-lynx -dump}"
+ INFOURL="${INFOURL:-http://localhost/server-info}"
+
+ checkconfd || return 1
+
+ if ! type -p $(set -- ${LYNX}; echo $1) 2>&1 >/dev/null; then
+ eerror "lynx not found! you need to emerge www-client/lynx"
+ else
+ echo "${APACHE2} started with '${APACHE2_OPTS}'"
+ for i in config server list; do
+ ${LYNX} "${INFOURL}/?${i}" | sed '/Apache Server Information/d;/^[[:space:]]\+[_]\+$/Q'
+ done
+ fi
+}
+
+# vim: ts=4 filetype=gentoo-init-d
+@
+
+
+1.1.1.1
+log
+@dispatch-conf update.
+@
+text
+@d105 1
+a105 1
+ while ( test -f "${PIDFILE}" && pgrep -P ${PID} apache2 >/dev/null ) \
+@
+++ /dev/null
-#!/sbin/runscript
-# Copyright 1999-2006 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/openssh/files/sshd.rc6,v 1.27 2009/08/12 08:09:52 idl0r Exp $
-
-opts="${opts} reload checkconfig gen_keys"
-
-depend() {
- use logger dns
- need net
-}
-
-SSHD_CONFDIR=${SSHD_CONFDIR:-/etc/ssh}
-SSHD_PIDFILE=${SSHD_PIDFILE:-/var/run/${SVCNAME}.pid}
-SSHD_BINARY=${SSHD_BINARY:-/usr/sbin/sshd}
-
-checkconfig() {
- if [ ! -d /var/empty ] ; then
- mkdir -p /var/empty || return 1
- fi
-
- if [ ! -e "${SSHD_CONFDIR}"/sshd_config ] ; then
- eerror "You need an ${SSHD_CONFDIR}/sshd_config file to run sshd"
- eerror "There is a sample file in /usr/share/doc/openssh"
- return 1
- fi
-
- gen_keys || return 1
-
- "${SSHD_BINARY}" -t ${myopts} || return 1
-}
-
-gen_keys() {
- if [ ! -e "${SSHD_CONFDIR}"/ssh_host_key ] ; then
- einfo "Generating Hostkey..."
- /usr/bin/ssh-keygen -t rsa1 -f "${SSHD_CONFDIR}"/ssh_host_key -N '' || return 1
- fi
- if [ ! -e "${SSHD_CONFDIR}"/ssh_host_dsa_key ] ; then
- einfo "Generating DSA-Hostkey..."
- /usr/bin/ssh-keygen -d -f "${SSHD_CONFDIR}"/ssh_host_dsa_key -N '' || return 1
- fi
- if [ ! -e "${SSHD_CONFDIR}"/ssh_host_rsa_key ] ; then
- einfo "Generating RSA-Hostkey..."
- /usr/bin/ssh-keygen -t rsa -f "${SSHD_CONFDIR}"/ssh_host_rsa_key -N '' || return 1
- fi
- return 0
-}
-
-start() {
- local myopts=""
- [ "${SSHD_PIDFILE}" != "/var/run/sshd.pid" ] \
- && myopts="${myopts} -o PidFile=${SSHD_PIDFILE}"
- [ "${SSHD_CONFDIR}" != "/etc/ssh" ] \
- && myopts="${myopts} -f ${SSHD_CONFDIR}/sshd_config"
-
- checkconfig || return 1
- ebegin "Starting ${SVCNAME}"
- start-stop-daemon --start --exec "${SSHD_BINARY}" \
- --pidfile "${SSHD_PIDFILE}" \
- -- ${myopts} ${SSHD_OPTS}
- eend $?
-}
-
-stop() {
- if [ "${RC_CMD}" = "restart" ] ; then
- checkconfig || return 1
- fi
-
- ebegin "Stopping ${SVCNAME}"
- start-stop-daemon --stop --exec "${SSHD_BINARY}" \
- --pidfile "${SSHD_PIDFILE}" --quiet
- eend $?
-}
-
-reload() {
- checkconfig || return 1
- ebegin "Reloading ${SVCNAME}"
- start-stop-daemon --stop --signal HUP --oknodo \
- --exec "${SSHD_BINARY}" --pidfile "${SSHD_PIDFILE}"
- eend $?
-}
--- /dev/null
+head 1.1;
+access;
+symbols;
+locks; strict;
+comment @# @;
+
+
+1.1
+date 2012.04.11.07.41.48; author root; state Exp;
+branches
+ 1.1.1.1;
+next ;
+
+1.1.1.1
+date 2012.04.11.07.42.00; author root; state Exp;
+branches;
+next ;
+
+
+desc
+@Archived config file.
+@
+
+
+1.1
+log
+@dispatch-conf update.
+@
+text
+@#!/sbin/runscript
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/openssh/files/sshd.rc6.2,v 1.1 2011/01/24 02:55:47 vapier Exp $
+
+opts="${opts} reload checkconfig gen_keys"
+
+depend() {
+ use logger dns
+ need net
+}
+
+SSHD_CONFDIR=${SSHD_CONFDIR:-/etc/ssh}
+SSHD_PIDFILE=${SSHD_PIDFILE:-/var/run/${SVCNAME}.pid}
+SSHD_BINARY=${SSHD_BINARY:-/usr/sbin/sshd}
+
+checkconfig() {
+ if [ ! -d /var/empty ] ; then
+ mkdir -p /var/empty || return 1
+ fi
+
+ if [ ! -e "${SSHD_CONFDIR}"/sshd_config ] ; then
+ eerror "You need an ${SSHD_CONFDIR}/sshd_config file to run sshd"
+ eerror "There is a sample file in /usr/share/doc/openssh"
+ return 1
+ fi
+
+ gen_keys || return 1
+
+ "${SSHD_BINARY}" -t ${myopts} || return 1
+}
+
+gen_key() {
+ local type=$1 key ks
+ [ $# -eq 1 ] && ks="${type}_"
+ key="${SSHD_CONFDIR}/ssh_host_${ks}key"
+ if [ ! -e "${key}" ] ; then
+ ebegin "Generating ${type} host key"
+ ssh-keygen -t ${type} -f "${key}" -N ''
+ eend $? || return $?
+ fi
+}
+
+gen_keys() {
+ if egrep -q '^[[:space:]]*Protocol[[:space:]]+.*1' "${SSHD_CONFDIR}"/sshd_config ; then
+ gen_key rsa1 "" || return 1
+ fi
+ gen_key dsa && gen_key rsa && gen_key ecdsa
+ return $?
+}
+
+start() {
+ local myopts=""
+ [ "${SSHD_PIDFILE}" != "/var/run/sshd.pid" ] \
+ && myopts="${myopts} -o PidFile=${SSHD_PIDFILE}"
+ [ "${SSHD_CONFDIR}" != "/etc/ssh" ] \
+ && myopts="${myopts} -f ${SSHD_CONFDIR}/sshd_config"
+
+ checkconfig || return 1
+ ebegin "Starting ${SVCNAME}"
+ start-stop-daemon --start --exec "${SSHD_BINARY}" \
+ --pidfile "${SSHD_PIDFILE}" \
+ -- ${myopts} ${SSHD_OPTS}
+ eend $?
+}
+
+stop() {
+ if [ "${RC_CMD}" = "restart" ] ; then
+ checkconfig || return 1
+ fi
+
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --exec "${SSHD_BINARY}" \
+ --pidfile "${SSHD_PIDFILE}" --quiet
+ eend $?
+}
+
+reload() {
+ checkconfig || return 1
+ ebegin "Reloading ${SVCNAME}"
+ start-stop-daemon --stop --signal HUP --oknodo \
+ --exec "${SSHD_BINARY}" --pidfile "${SSHD_PIDFILE}"
+ eend $?
+}
+@
+
+
+1.1.1.1
+log
+@dispatch-conf update.
+@
+text
+@d4 1
+a4 1
+# $Header: /var/cvsroot/gentoo-x86/net-misc/openssh/files/sshd.rc6.3,v 1.2 2011/09/14 21:46:19 polynomial-c Exp $
+d6 1
+a6 2
+extra_commands="checkconfig gen_keys"
+extra_started_commands="reload"
+d30 1
+a30 6
+ [ "${SSHD_PIDFILE}" != "/var/run/sshd.pid" ] \
+ && SSHD_OPTS="${SSHD_OPTS} -o PidFile=${SSHD_PIDFILE}"
+ [ "${SSHD_CONFDIR}" != "/etc/ssh" ] \
+ && SSHD_OPTS="${SSHD_OPTS} -f ${SSHD_CONFDIR}/sshd_config"
+
+ "${SSHD_BINARY}" -t ${SSHD_OPTS} || return 1
+d53 6
+a59 1
+
+d63 1
+a63 1
+ -- ${SSHD_OPTS}
+d81 1
+a81 1
+ start-stop-daemon --signal HUP \
+@
+++ /dev/null
-#!/sbin/runscript
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/openssh/files/sshd.rc6.1,v 1.1 2010/10/11 22:50:07 flameeyes Exp $
-
-opts="${opts} reload checkconfig gen_keys"
-
-depend() {
- use logger dns
- need net
-}
-
-SSHD_CONFDIR=${SSHD_CONFDIR:-/etc/ssh}
-SSHD_PIDFILE=${SSHD_PIDFILE:-/var/run/${SVCNAME}.pid}
-SSHD_BINARY=${SSHD_BINARY:-/usr/sbin/sshd}
-
-checkconfig() {
- if [ ! -d /var/empty ] ; then
- mkdir -p /var/empty || return 1
- fi
-
- if [ ! -e "${SSHD_CONFDIR}"/sshd_config ] ; then
- eerror "You need an ${SSHD_CONFDIR}/sshd_config file to run sshd"
- eerror "There is a sample file in /usr/share/doc/openssh"
- return 1
- fi
-
- gen_keys || return 1
-
- "${SSHD_BINARY}" -t ${myopts} || return 1
-}
-
-gen_keys() {
- if [ ! -e "${SSHD_CONFDIR}"/ssh_host_key ] && \
- egrep -q '^[ \t]*Protocol[ \t]+.*1' "${SSHD_CONFDIR}"/sshd_config ; then
- einfo "Generating RSA1-Hostkey..."
- /usr/bin/ssh-keygen -t rsa1 -f "${SSHD_CONFDIR}"/ssh_host_key -N '' || return 1
- fi
- if [ ! -e "${SSHD_CONFDIR}"/ssh_host_dsa_key ] ; then
- einfo "Generating DSA-Hostkey..."
- /usr/bin/ssh-keygen -d -f "${SSHD_CONFDIR}"/ssh_host_dsa_key -N '' || return 1
- fi
- if [ ! -e "${SSHD_CONFDIR}"/ssh_host_rsa_key ] ; then
- einfo "Generating RSA-Hostkey..."
- /usr/bin/ssh-keygen -t rsa -f "${SSHD_CONFDIR}"/ssh_host_rsa_key -N '' || return 1
- fi
- return 0
-}
-
-start() {
- local myopts=""
- [ "${SSHD_PIDFILE}" != "/var/run/sshd.pid" ] \
- && myopts="${myopts} -o PidFile=${SSHD_PIDFILE}"
- [ "${SSHD_CONFDIR}" != "/etc/ssh" ] \
- && myopts="${myopts} -f ${SSHD_CONFDIR}/sshd_config"
-
- checkconfig || return 1
- ebegin "Starting ${SVCNAME}"
- start-stop-daemon --start --exec "${SSHD_BINARY}" \
- --pidfile "${SSHD_PIDFILE}" \
- -- ${myopts} ${SSHD_OPTS}
- eend $?
-}
-
-stop() {
- if [ "${RC_CMD}" = "restart" ] ; then
- checkconfig || return 1
- fi
-
- ebegin "Stopping ${SVCNAME}"
- start-stop-daemon --stop --exec "${SSHD_BINARY}" \
- --pidfile "${SSHD_PIDFILE}" --quiet
- eend $?
-}
-
-reload() {
- checkconfig || return 1
- ebegin "Reloading ${SVCNAME}"
- start-stop-daemon --stop --signal HUP --oknodo \
- --exec "${SSHD_BINARY}" --pidfile "${SSHD_PIDFILE}"
- eend $?
-}
-head 1.4;
+head 1.5;
access;
symbols;
locks; strict;
expand @o@;
+1.5
+date 2012.04.11.07.41.48; author root; state Exp;
+branches;
+next 1.4;
+
1.4
date 2011.02.26.23.29.20; author root; state Exp;
branches;
1.1.1.3
date 2011.02.26.23.35.37; author root; state Exp;
branches;
+next 1.1.1.4;
+
+1.1.1.4
+date 2012.04.11.07.41.48; author root; state Exp;
+branches;
next ;
@
-1.4
+1.5
log
@dispatch-conf update.
@
# HostKeys for protocol version 2
#HostKey /etc/ssh/ssh_host_rsa_key
#HostKey /etc/ssh/ssh_host_dsa_key
+#HostKey /etc/ssh/ssh_host_ecdsa_key
# "key type names" for X.509 certificates with RSA key
# Note first defined is used in signature operations!
# override default of no subsystems
Subsystem sftp /usr/lib64/misc/sftp-server
+# the following are HPN related configuration options
+# tcp receive buffer polling. disable in non autotuning kernels
+#TcpRcvBufPoll yes
+
+# allow the use of the none cipher
+#NoneEnabled no
+
+# disable hpn performance boosts.
+#HPNDisabled no
+
+# buffer size for hpn to non-hpn connections
+#HPNBufferSize 2048
+
+
# Example of overriding settings on a per-user basis
#Match User anoncvs
# X11Forwarding no
@
+1.4
+log
+@dispatch-conf update.
+@
+text
+@d26 1
+d182 14
+@
+
+
1.3
log
@dispatch-conf update.
@
+
+
+1.1.1.4
+log
+@dispatch-conf update.
+@
+text
+@d10 1
+a10 1
+# possible, but leave them commented. Uncommented options override the
+a112 3
+
+# The default is to check both .ssh/authorized_keys and .ssh/authorized_keys2
+# but this is overridden so installations will only check .ssh/authorized_keys
+a140 1
+#GSSAPIStrictAcceptorCheck yes
+@
${APACHE2} ${APACHE2_OPTS} -k stop
i=0
- while ( ! test -f "${PIDFILE}" && pgrep -P ${PID} apache2 >/dev/null ) \
+ while ( test -f "${PIDFILE}" && pgrep -P ${PID} apache2 >/dev/null ) \
&& [ $i -lt ${TIMEOUT} ]; do
sleep 1 && i=$(expr $i + 1)
done
#!/sbin/runscript
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/openssh/files/sshd.rc6.2,v 1.1 2011/01/24 02:55:47 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-misc/openssh/files/sshd.rc6.3,v 1.2 2011/09/14 21:46:19 polynomial-c Exp $
-opts="${opts} reload checkconfig gen_keys"
+extra_commands="checkconfig gen_keys"
+extra_started_commands="reload"
depend() {
use logger dns
gen_keys || return 1
- "${SSHD_BINARY}" -t ${myopts} || return 1
+ [ "${SSHD_PIDFILE}" != "/var/run/sshd.pid" ] \
+ && SSHD_OPTS="${SSHD_OPTS} -o PidFile=${SSHD_PIDFILE}"
+ [ "${SSHD_CONFDIR}" != "/etc/ssh" ] \
+ && SSHD_OPTS="${SSHD_OPTS} -f ${SSHD_CONFDIR}/sshd_config"
+
+ "${SSHD_BINARY}" -t ${SSHD_OPTS} || return 1
}
gen_key() {
}
start() {
- local myopts=""
- [ "${SSHD_PIDFILE}" != "/var/run/sshd.pid" ] \
- && myopts="${myopts} -o PidFile=${SSHD_PIDFILE}"
- [ "${SSHD_CONFDIR}" != "/etc/ssh" ] \
- && myopts="${myopts} -f ${SSHD_CONFDIR}/sshd_config"
-
checkconfig || return 1
+
ebegin "Starting ${SVCNAME}"
start-stop-daemon --start --exec "${SSHD_BINARY}" \
--pidfile "${SSHD_PIDFILE}" \
- -- ${myopts} ${SSHD_OPTS}
+ -- ${SSHD_OPTS}
eend $?
}
reload() {
checkconfig || return 1
ebegin "Reloading ${SVCNAME}"
- start-stop-daemon --stop --signal HUP --oknodo \
+ start-stop-daemon --signal HUP \
--exec "${SSHD_BINARY}" --pidfile "${SSHD_PIDFILE}"
eend $?
}
# The strategy used for options in the default sshd_config shipped with
# OpenSSH is to specify options with their default value where
-# possible, but leave them commented. Uncommented options change a
+# possible, but leave them commented. Uncommented options override the
# default value.
#Port 22
#RSAAuthentication yes
#PubkeyAuthentication yes
+
+# The default is to check both .ssh/authorized_keys and .ssh/authorized_keys2
+# but this is overridden so installations will only check .ssh/authorized_keys
#AuthorizedKeysFile .ssh/authorized_keys
# For this to work you will also need host keys in /etc/ssh/ssh_known_hosts
# GSSAPI options
#GSSAPIAuthentication no
#GSSAPICleanupCredentials yes
+#GSSAPIStrictAcceptorCheck yes
# Set this to 'yes' to enable PAM authentication, account processing,
# and session processing. If this is enabled, PAM authentication will